# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}


# required version of various libraries
%define req_glib_version		2.26.9

%define pkgname			gdk-pixbuf
%define api_version		2.0
%define binary_version		2.10
%define lib_major		0

%define libname  %mklibname gdk_pixbuf %{api_version} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf %api_version %{lib_major}

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api_version}
Version:	2.42.10
Release:    %mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%pkgname/%{pkgname}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gtk.org
Requires:	common-licenses
#-------------------------------------------
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64jasper-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64png1.6-devel
BuildRequires: lib64tiff-devel
BuildRequires: lib64x11-devel
BuildRequires: gettext-devel
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
BuildRequires: texinfo
%endif
BuildRequires: fonts-ttf-dejavu
Requires: %{libname} = %{version}

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}
Requires(post):	libtiff >= 3.6.1
Requires(post): %name >= %version
Requires: %name >= %version
Requires: lib64gdk_pixbuf_xlib2.0_0
Requires: glibc >= 2.33

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/Libraries
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	libglib2-devel >= %{req_glib_version}
Obsoletes:	%mklibname -d gdk_pixbuf %api_version %lib_major

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.


%prep
%setup -n %{pkgname}-%{version} -q
%apply_patches

%build
%ifarch ppc64
export CFLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif

export CFLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-fomit-frame-pointer//g'`

%meson -Dinstalled_tests=false
%meson_build


%install
rm -rf $RPM_BUILD_ROOT %pkgname.lang
%meson_install

touch $RPM_BUILD_ROOT%_libdir/%pkgname-%{api_version}/%{binary_version}.0/loaders.cache

# handle biarch packages
progs="gdk-pixbuf-query-loaders"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%pkgname-%{api_version}/bin
for f in $progs; do
  mv -f $RPM_BUILD_ROOT%{_bindir}/$f $RPM_BUILD_ROOT%{_libdir}/%pkgname-%{api_version}/bin/
  cat > $RPM_BUILD_ROOT%{_bindir}/$f << EOF
#!/bin/sh
lib=lib64
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/%pkgname-%{api_version}/bin/$f \${1+"\$@"}
EOF
  chmod +x $RPM_BUILD_ROOT%{_bindir}/$f
done

#remove not packaged files
find %buildroot -name '*.la' -delete

%find_lang %pkgname

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}

if [ "$1" = "2" ]; then
  if [ -f %_libdir/%pkgname-%api_version/2.10.0/loaders.cache ]; then
    rm -f %_libdir/%pkgname-%api_version/2.10.0/loaders.cache
  fi
fi

%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache


%triggerin -n %{libname} -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so
%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%triggerpostun -n %{libname} -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so
%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache


%posttrans
/sbin/ldconfig


%files -f %pkgname.lang
%defattr(-, root, root)
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-pixdata
%_mandir/man1/gdk-pixbuf-query-loaders.1*
%{_bindir}/gdk-pixbuf-thumbnailer
%{_datadir}/thumbnailers/gdk-pixbuf-thumbnailer.thumbnailer

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgdk_pixbuf-%{api_version}.so.%{lib_major}*
%_libdir/girepository-1.0/GdkPixbuf-%{api_version}.typelib
%dir %{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders/*.so
%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders.cache
/usr/lib64/girepository-1.0/GdkPixdata-2.0.typelib

%files -n %{develname}
%defattr(-, root, root)
%_bindir/gdk-pixbuf-csource
%{_includedir}/%pkgname-%api_version
%_datadir/gir-1.0/GdkPixbuf-%{api_version}.gir
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%_mandir/man1/gdk-pixbuf-csource.1*
/usr/share/gir-1.0/GdkPixdata-2.0.gir

%changelog
* Tue Oct 25 2022 tex - 2.42.10-1pclos2022
- new version

* Wed Aug 10 2022 tex - 2.42.9-1pclos2022
- new version

* Sat Apr 10 2021 tex - 2.42.6-1pclos2021
- new version

* Sun Mar 21 2021 tex - 2.42.4-1pclos2021
- new version

* Wed Oct 09 2019 tex - 2.40.0-1pclos2019
- new version

* Mon Sep 09 2019 tex - 2.38.2-1pclos2019
- new version

* Fri Mar 01 2019 2.38.1-1pclos2019
- new
